/***************************************************************
 * Name:      leermodificar.h
 * Purpose:   Defines Dialog leerModificar
 * Author:    Salvador Pozo (salvador@conclase.net)
 * Created:   2024-05-30
 * Copyright: Salvador Pozo (www.conclase.net)
 * License:
 **************************************************************/

#ifndef LEERMODIFICAR_H
#define LEERMODIFICAR_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include <wx/button.h>
#include <wx/sizer.h>

class datosTexto
{
    public:
        datosTexto(const wxString &t) : texto(t) {}

    //private:
        wxString texto;
};

class leerModificar: public wxDialog
{
    public:
        leerModificar(wxWindow *wnd, datosTexto &datos);

    protected:
        enum {
            idTexto = 1000,
            idRepetir,
            idBorrar,
            idCopiar,
            idCortar,
            idPegar,
            idRedo,
            idUndo
        };
    private:
        wxTextCtrl* ctrlTexto;
        wxTextCtrl* ctrlRepetir;
        wxTextCtrl* activo;
        wxMenu* menuContextual;
        void OnModificado(wxCommandEvent& event);
        void OnClose(wxCloseEvent& event);
        void OnContextMenu(wxContextMenuEvent& event);
        void OnBorrar(wxCommandEvent& event);
        void OnCopiar(wxCommandEvent& event);
        void OnCortar(wxCommandEvent& event);
        void OnPegar(wxCommandEvent& event);
        void OnRedo(wxCommandEvent& event);
        void OnUndo(wxCommandEvent& event);
        DECLARE_EVENT_TABLE()
};

#endif // LEERMODIFICAR_H


