/***************************************************************
 * Name:      multilinea.h
 * Purpose:   Defines Dialog leerModificar
 * Author:    Salvador Pozo (salvador@conclase.net)
 * Created:   2024-05-30
 * Copyright: Salvador Pozo (www.conclase.net)
 * License:
 **************************************************************/

#ifndef MULTILINEA_H
#define MULTILINEA_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include <wx/button.h>
#include <wx/sizer.h>

class datosTextoMultilinea
{
    public:
        datosTextoMultilinea(const wxString &t) : texto(t) {}

    //private:
        wxString texto;
        int nLineas;
};

class multilinea: public wxDialog
{
    public:
        multilinea(wxWindow *wnd, datosTextoMultilinea &data);

    protected:
        enum {
            idTexto = 1000,
            idLoad,
            idSelectAll,
            idSelectNone,
            idValue,
            idRango
        };
    private:
        datosTextoMultilinea& datos;
        void OnClose(wxCloseEvent& event);
        void OnOk(wxCommandEvent& event);
        void OnCargar(wxCommandEvent& event);
        void OnTodo(wxCommandEvent& event);
        void OnNada(wxCommandEvent& event);
        void OnValue(wxCommandEvent& event);
        void OnRango(wxCommandEvent& event);
        void OnURL(wxTextUrlEvent& event);

        wxTextCtrl* ctrlTexto;
        wxTextValidator valTexto;
        DECLARE_EVENT_TABLE()
};
#endif // MULTILINEA_H

