#ifndef HEADER_2F71A2D465B62CB7
#define HEADER_2F71A2D465B62CB7

/***************************************************************
 * Name:      wx005Main.h
 * Purpose:   Defines Application Frame
 * Author:    Salvador Pozo (salvador@conclase.net)
 * Created:   2024-05-09
 * Copyright: Salvador Pozo (www.conclase.net)
 * License:
 **************************************************************/

#ifndef WX005MAIN_H
#define WX005MAIN_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include "wx005App.h"
#include "editartexto.h"
#include "leermodificar.h"
#include "multilinea.h"
#include "autocompletar.h"
#include "autocompletar2.h"
#include "limitar.h"

class wx005Frame: public wxFrame
{
    public:
        wx005Frame(wxFrame *frame, const wxString& title);
        ~wx005Frame();
    private:
        datosUsuario dataUsuario;
        datosTexto dataTexto;
        datosTextoMultilinea dataMultilinea;
        datosAutocompletar dataAutocompletar;
        datosAutocompletar2 dataAutocompletar2;
        datosLimitar dataLimitar;
        enum
        {
            idMenuQuit = 1000,
            idMenuTexto,
            idMenuModificar,
            idMenuMultilinea,
            idMenuAutocompletar,
            idMenuAutocompletar2,
            idMenuLimitar,
            idMenuEntero,
            idMenuFloat,
        };
        void OnClose(wxCloseEvent& event);
        void OnQuit(wxCommandEvent& event);
        void OnTexto(wxCommandEvent& event);
        void OnModificar(wxCommandEvent& event);
        void OnMultilinea(wxCommandEvent& event);
        void OnAutocompletar(wxCommandEvent& event);
        void OnAutocompletar2(wxCommandEvent& event);
        void OnLimitar(wxCommandEvent& event);
        DECLARE_EVENT_TABLE()
};


#endif // WX005MAIN_H
#endif // header guard

